Loading...
Searching...
No Matches
dcmtk::log4cplus::spi::LogLevelMatchFilter Class Reference

This is a very simple filter based on LogLevel matching. More...

Inheritance diagram for dcmtk::log4cplus::spi::LogLevelMatchFilter:

## Public Member Functions

virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Return the decision of this filter.
Public Member Functions inherited from dcmtk::log4cplus::spi::Filter
void | appendFilter (FilterPtr filter)
| Appends `filter` to the end of this filter chain.

## Private Attributes

bool | acceptOnMatch
| Do we return ACCEPT when a match occurs.

## Additional Inherited Members

Public Attributes inherited from dcmtk::log4cplus::spi::Filter
FilterPtr | next
| Points to the next filter in the filter chain.

## Detailed Description

This is a very simple filter based on LogLevel matching.

The filter admits two options LogLevelToMatch and AcceptOnMatch. If there is an exact match between the value of the LogLevelToMatch option and the LogLevel of the `spi::InternalLoggingEvent`, then the `decide` method returns `ACCEPT` in case the AcceptOnMatch option value is set to `true`, if it is `false` then `DENY` is returned. If there is no match, `NEUTRAL` is returned.

## Member Function Documentation

## decide()

virtual FilterResult dcmtk::log4cplus::spi::LogLevelMatchFilter::decide | ( | const InternalLoggingEvent & | event | ) | const

virtual

Return the decision of this filter.

Returns `NEUTRAL` if the LogLevelToMatch option is not set or if there is no match. Otherwise, if there is a match, then the returned decision is `ACCEPT` if the AcceptOnMatch property is set to `true`. The returned decision is `DENY` if the AcceptOnMatch property is set to `false`.

Implements dcmtk::log4cplus::spi::Filter.

## Member Data Documentation

## acceptOnMatch

bool dcmtk::log4cplus::spi::LogLevelMatchFilter::acceptOnMatch

private

Do we return ACCEPT when a match occurs.

Default is `true`.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/filter.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0